# Rate limiting

### Rate limiting

* 워크스페이스 별로 API 호출 횟수 제한이 있습니다.
* 횟수 제한은 모든 API enpoint 기준이며 100 요청 / 10초 입니다.
* 해당 조건을 초과한 api 호출이 일어날 경우에는 다음과 같은 메시지를 리턴합니다.

```json
// HTTP Status Code 429
{
    "success": false,
    "message": "Too Many Requests"
}
```

### Rate limiting 피하기

* API 요청시 rate limiting 범위를 초과하지 않도록 시간 간격을 설정합니다.
* rate limiting 범위를 넘은 경우 10초 후 다시 API 를 요청합니다.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.salesmap.kr/developers/api-reference/rate-limiting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
